﻿using UnityEngine;
using System.Collections;

public class CameraController : MonoBehaviour {

	// Use this for initialization
	void Awake () {
		targetPos = transform.position;
		targetRot = transform.rotation;
		cameraPosList = GameObject.FindGameObjectsWithTag("CameraPos");
	}
	
	// Update is called once per frame
	void Update () {
		if(Input.GetKeyDown(KeyCode.F1)){
			targetPos = cameraPosList[0].transform.position;
			targetRot = cameraPosList[0].transform.rotation;
		}
		else if(Input.GetKeyDown(KeyCode.F2)){
			targetPos = cameraPosList[1].transform.position;
			targetRot = cameraPosList[1].transform.rotation;
		}

		transform.position = Vector3.Lerp(transform.position, targetPos, Time.deltaTime);
		transform.rotation = Quaternion.Lerp(transform.rotation, targetRot, Time.deltaTime);
	}

	private	GameObject[] cameraPosList;
	private	Vector3 targetPos;
	private	Quaternion targetRot;
}
